Subject: Re: bug#61190: 28.2; ispell personal dictionary location for hunspell engine

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Feb 2023 05:35:06 +0200

[Please use Reply All to reply, to keep the bug tracker CC'ed.]

> From: O G <[email-masked]>
> Date: Tue, 31 Jan 2023 17:57:44 -0500
> 
> > This is arguably a bug in Hunspell, but a workaround is to create an
> > empty file at the location where you want the personal dictionary to
> > be, and then restart the speller.
> 
> I did try this before filing the bug report because I also wondered about whether or not the personal dictionary
> file needs to exist before saving a new word to it.  
> 
> This time around I tested by setting the ispell-local-dictionary variable, and then the ispell-cmd-args variable,
> by using in each instance the escaped backslash form of the absolute file path
> (C:\\Users\xxxx\.hunspell_en_US), which I created beforehand as an empty file.
   ^^^^^^^^^^^^^^^^^^^^^^^
If the above is the literal value you tried, it is again incorrect:
each backslash should be doubled.  If you did double them all, or used
forward slashes, then there's a different bug in your version of
Hunspell; it worked for me once I understood the problem.

Did you veryfy that Hunspell is invoked by Emacs with the correct -p
switch?